---
title: DNF (RHEL /RPM)
description: DNF Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collect an SBOM component using the DNF Package Manager.

<Plugin transferTag="hoppr.core_plugins.collect_dnf_plugin">
{
`  process_timeout: 60
`
}
</Plugin>

### Configuration Options

| Option          | Details                                                        |
| --------------- | -------------------------------------------------------------|
| dnf_command     | String.  Defaults to `dnf`.  Command to be used to execute dnf commands.  May be overridden with another command that uses the same syntax, or a fully qualified path if `dnf` is not on the default `$PATH`. |
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |

### Proxy and Certificate Configuration

To configure proxies, set the following environment variables:

| Environment Variable Name | Description
|---------------------------|------------
| `http_proxy`              | Proxy for the HTTP protocol.
| `https_proxy`             | Proxy for the HTTPS protocol.
| `no_proxy`                | Comma-separated list of domains where proxies won't be used.

By default all certificates trusted by the system are used for the verification of the server certificate by DNF. For information on how to install a root CA certificate in Certificate System, see [https://access.redhat.com/documentation/en-us/red_hat_certificate_system/9/html/planning_installation_and_deployment_guide/setting_up_a_root_certificate_authority].

### Credentials Configuration

To specify credentials, you need a [credentials file](../../tutorials/processing-101.md#credentials).

Sample credentials file:

```yaml
---
schemaVersion: v1
kind: Credentials

metadata:
  name: Registry Credentials
  version: v1
  description: Sample credentials file

credential_required_services:
  - url: registry.gitlab.com
    user_env: CI_REGISTRY_USER
    pass_env: CI_REGISTRY_PASSWORD
```

### SBOM Generation Tools

- [syft](https://github.com/anchore/syft) (cli tool)

:::note
For more tools visit the [CycloneDX Tool Center](https://cyclonedx.org/tool-center/)
:::
